#
# spec file for package krb5-ticket-watcher
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           krb5-ticket-watcher
Url:            http://sourceforge.net/projects/krb5ticketwatch
%if 0%{?suse_version}
BuildRequires:  cmake
BuildRequires:  krb5-devel
BuildRequires:  libqt4-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
%endif
%if 0%{?fedora_version}
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  krb5-devel
BuildRequires:  qt-devel
%endif
%if 0%{?mandriva_version}
%ifarch x86_64
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  lib64krb53-devel
BuildRequires:  lib64qt4-devel
%else
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libkrb53-devel
BuildRequires:  libqt4-devel
%endif
%endif
Summary:        A Tray Applet for Watching, Renewing, and Reinitializing Kerberos Tickets
License:        GPL-2.0+
Group:          System/GUI/Other
Version:        1.0.3
Release:        26.2
Source0:        %{name}-%{version}.tar.bz2
Source1:        krb5-ticket-watcher-po.tar.gz
Patch0:         krb5-ticket-watcher-gcc47.patch
Patch1:         krb5-ticket-watcher-time-locale.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tray applet for watching, renewing, and reinitializing Kerberos
tickets.



Authors:
--------
    Michael Calmer <Michael.Calmer@gmx.de>

%if 0%{?suse_version}
%endif

%prep
%setup -n %{name}-%{version} 
%setup -a 1 -T -D -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%if 0%{?suse_version}
# We skip createPot - it requires calling of "make" before, but
# supplementary scripts call only prep phase.
translation-update-upstream po krb5-ticket-watcher true
%endif

%build
%if 0%{?mandriva_version}
export PATH=/usr/lib/qt4/bin:${PATH}
%endif
mkdir build
cd build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS="$CFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=/usr .. 
make %{?jobs:-j %jobs} VERBOSE=1

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
%if 0%{?suse_version}
%suse_update_desktop_file %{name} System Network
%endif
cd ..
%{find_lang} krb5-ticket-watcher

%files -f krb5-ticket-watcher.lang
%defattr(-,root,root)
%doc COPYING Changes News TODO 
/usr/bin/*
/usr/share/applications/%{name}.desktop
/usr/share/pixmaps/*.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 23 2017 subchaser1@gmail.com
- add krb5-ticket-watcher-time-locale.patch: Fix localized
  date time display in the tickets list
* Wed Apr 30 2014 mc@suse.de
- update translations
* Sat Mar 24 2012 dimstar@opensuse.org
- Add krb5-ticket-watcher-gcc47.patch: Fix build with gcc 4.7.
* Tue Feb 15 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Tue Jul 21 2009 mc@suse.de
- Version 1.0.3
- replace realm list in kinit with default realm only
  to build with krb5 1.7
- fix remaining ticket lifetime in the tooltip and the
  ticket view.
* Mon Mar 16 2009 mc@suse.de
- version 1.0.2
- fix building with gcc 4.4
- use current upstream translations
* Fri Jan 23 2009 mc@suse.de
- update translations
* Fri Dec  5 2008 mc@suse.de
- update translations
* Fri Nov 21 2008 mc@suse.de
- update translations
* Fri Nov  7 2008 mc@suse.de
- update translations
* Mon Oct 27 2008 mc@suse.de
- update translations
* Fri Sep  5 2008 mc@suse.de
- version 1.0.1
  * move static text which explains the ticket flags out of the
    ui file to make translation easier.
* Tue Sep  2 2008 mc@suse.de
- fix a typo (bnc#421351)
* Thu Aug 28 2008 mc@suse.de
- update to version 1.0.0
  * Build with cmake
  * use gettext for translations
  * remove use of Qt3Support
* Mon Jun 30 2008 mc@suse.de
- update to version 0.9.2
  * add change password menu item
  * better error messages
  * show the remaining time of the krbtgt in the tooltip
  * show message if tgt was renewed
  * ported to QT4
* Sun Jan 13 2008 coolo@suse.de
- remove desktop-data from buildrequires
* Wed May  2 2007 mc@suse.de
- add "Name" key to desktop file
- add icon
* Mon Apr 16 2007 mc@suse.de
- version 0.2.1
  * use qt linguist for translations
  * add "restore" to the menu
  * add kdestroy functionality
  * calculate renewtime from ticket if available
  * move some krb5 library function calls to v5.cpp
* Mon Nov  6 2006 schwab@suse.de
- Don't strip binaries.
* Thu Nov  2 2006 mc@suse.de
- version 0.1.3
- implement more options for kinit dialog
  (tkt_lifetime, renewtime)
- hide options in kinit dialog by default
- update translation
* Mon Oct 23 2006 mc@suse.de
- version 0.1.2
- use TicketListItem to show the status of the ticket
- add column 'Time Remaining' to listview
- better date format in ticket view
- calculate remaining time of a ticket
- seperate name from realm in kinitdialog
- show available realms in a combobox in kinitdialog
- fix some memleaks
- change look of the password change dialog
* Mon Jul 17 2006 mc@suse.de
- add german translation
* Mon Jul 10 2006 mc@suse.de
- initial release
